<div class="animated fadeIn" *ngIf="!flagShowForm">
    <div class="row">
        <div class="col d-flex justify-content-start">
          <button (click)="newRow()" class="btn btn-success">
            <i class="fa fa-plus mr-2"></i>Nuevo
          </button>
        </div>
    </div>
    <kendo-grid 
      [data]="dataGrid"
      [selectable]="true"
      [navigable]="true"
      [reorderable]="true"
      [resizable]="true"
      [sort]="sort"
      [sortable]="true" 
      (edit)="editRow($event)"
      (remove)="deleteRow($event)">
      <kendo-grid-column field="Turno" title="Turno"></kendo-grid-column>
      <kendo-grid-command-column title="Actions" width="220">
          <ng-template kendoGridCellTemplate let-isNew="isNew">
              <button kendoGridEditCommand [primary]="true">Editar</button>
              <button kendoGridRemoveCommand>Eliminar</button>
          </ng-template>
      </kendo-grid-command-column>
  </kendo-grid>
</div>
<div class="animated fadeIn" *ngIf="flagShowForm">
  <form [formGroup]="myFormGroup">
      <div class="row row d-flex justify-content-center">
          <div class="form-group col-5">
            <label for="Turno">Turno</label>
            <kendo-combobox
                [data]="dsTurnos"
                [(ngModel)]="myFormGroup.value.Turno"
                [textField]="'tdesc'"
                [valueField]="'Turno'"
                formControlName="Turno"
                name="Turno"
                class="w-100">
            </kendo-combobox>
          </div>
      </div>
      <div class="row d-flex justify-content-center my-3">
          <button type="button" class="btn btn-success col-3" 
                  [disabled]="myFormGroup.invalid"
                  (click)="guardarForm();">
                  Guardar
          </button>
          <button type="button" class="btn btn-light col-3 ml-1" 
                  (click)="cerrarForm();">
                  Cerrar
          </button>
      </div>
  </form>
</div>